/***************************************************************************
 *   Copyright (C) 2005 by Oliver Saal                                     *
 *   http://www.oliver-saal.de/                                            *
 *   osaal@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/ 


#ifndef DEFINE_H
#define DEFINE_H

#define MAUTRECHNER_VERSION 900
#define MAUTRECHNER_VERSION_STRING "0.9"


#include <qglobal.h>

#if defined(Q_OS_MACX)
#	define OS_NAME "Mac OS X"
#elif defined(Q_OS_MAC9)
#	define OS_NAME "Mac OS 9"
#elif defined(Q_OS_DARWIN    )
#	define OS_NAME "Darwin OS (Without Mac OS X)"
#elif defined(Q_OS_MSDOS)
#	define OS_NAME "MS-DOS and Windows"
#elif defined(Q_OS_OS2)
#	define OS_NAME "OS/2"
#elif defined(Q_OS_OS2EMX)
#	define OS_NAME "XFree86 on OS/2 (not PM)"
#elif defined(Q_OS_WIN32)
#	define OS_NAME "Win32 (Windows 95/98/ME and Windows NT/2000/XP)"
#elif defined(Q_OS_WIN64)
#	define OS_NAME "Win64"
#elif defined(Q_OS_CYGWIN)
#	define OS_NAME "Cygwin"
#elif defined(Q_OS_SOLARIS)
#	define OS_NAME "Sun Solaris"
#elif defined(Q_OS_HPUX)
#	define OS_NAME "HP-UX"
#elif defined(Q_OS_ULTRIX)
#	define OS_NAME "DEC Ultrix"
#elif defined(Q_OS_LINUX)
#	define OS_NAME "Linux"
#elif defined(Q_OS_FREEBSD)
#	define OS_NAME "FreeBSD"
#elif defined(Q_OS_NETBSD)
#	define OS_NAME "NetBSD"
#elif defined(Q_OS_OPENBSD)
#	define OS_NAME "OpenBSD"
#elif defined(Q_OS_BSDI)
#	define OS_NAME "BSD/OS"
#elif defined(Q_OS_IRIX)
#	define OS_NAME "SGI Irix"
#elif defined(Q_OS_OSF)
#	define OS_NAME "HP Tru64 UNIX"
#elif defined(Q_OS_SCO)
#	define OS_NAME "SCO OpenServer 5"
#elif defined(Q_OS_UNIXWARE)
#	define OS_NAME "UnixWare 7, Open UNIX 8"
#elif defined(Q_OS_AIX)
#	define OS_NAME "AIX"
#elif defined(Q_OS_HURD)
#	define OS_NAME "GNU Hurd"
#elif defined(Q_OS_DGUX)
#	define OS_NAME "DG/UX"
#elif defined(Q_OS_RELIANT)
#	define OS_NAME "Reliant UNIX"
#elif defined(Q_OS_DYNIX)
#	define OS_NAME "DYNIX/ptx"
#elif defined(Q_OS_QNX)
#	define OS_NAME "QNX"
#elif defined(Q_OS_QNX6)
#	define OS_NAME "QNX RTP 6.1"
#elif defined(Q_OS_LYNX)
#	define OS_NAME "LynxOS"
#elif defined(Q_OS_BSD4)
#	define OS_NAME "Any BSD 4.4 system"
#elif defined(Q_OS_UNIX)
#	define OS_NAME "Any UNIX BSD/SYSV system"
#else
#	define OS_NAME "Unkown OS"
#endif


#endif