/***************************************************************************
 *   Copyright (C) 2005 by Oliver Saal                                     *
 *   http://www.oliver-saal.de/                                            *
 *   osaal@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/ 

#ifndef DLGBROWSER2_H
#define DLGBROWSER2_H

#include <qdialog.h>
#include <qcanvas.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QListView;
class QListViewItem;
class QTextBrowser;
class QPushButton;
class QSplitter;

class CNetwork;
class CNode;
class CBrowserItem2;

class CDlgBrowser2 : public QDialog
{
Q_OBJECT
public:
	CDlgBrowser2 (CNetwork *pNetwork, QWidget *pParent, const char *name=0);
	~CDlgBrowser2 ();

	CNode* goSelectNode ();

protected:
	void initTree ();
	void initTree (CBrowserItem2 *pBABItem);

	void clearGraph ();
	void updateGraph (const int iBAB);

public slots:
    void onItemChanged(QListViewItem *pItem);
	void onItemExpanded (QListViewItem *pItem);

	void onTextSave ();
	void onTextCopy ();
	void onGraphSave ();
	void onGraphCopy ();
	void onOK ();

protected slots:
    virtual void languageChange();

protected:
    QVBoxLayout *m_mainlayout;
	QSplitter *m_splitterVert;
	QSplitter *m_splitterHor;

	QPushButton *m_pbOK;
	QPushButton *m_pbCancel;
	QPushButton *m_pbGraphCopy;
	QPushButton *m_pbGraphSave;
	QPushButton *m_pbTextCopy;
	QPushButton *m_pbTextSave;
    QListView *m_listView;
    QTextBrowser *m_text;
	QCanvasView *m_canvasView;
	QCanvas m_canvas;

	CNetwork *m_pNetwork;
	int m_iBABGraph;
};

#endif