/***************************************************************************
 *   Copyright (C) 2005 by Oliver Saal                                     *
 *   http://www.oliver-saal.de/                                            *
 *   osaal@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/ 


#include "tools.h"

//#include <assert.h>
#include <qlistview.h>

QString CreateHTMLLinks (const QString str)
{
QString strRet=str, strURL;
int iPos=0;
	while ((iPos = strRet.find ("http://", iPos, false)) != -1)
	{
		strURL = QString ();
		strRet.insert (iPos, "<a href=\"");
		iPos += 9;
		while (iPos < (int) strRet.length() && !strRet[iPos].isSpace()) 
		{
			strURL += strRet[iPos];
			iPos++;
		}
		strRet.insert (iPos, QString("\">") + strURL + QString("</a>"));
		iPos += 2 + strURL.length() + 4;
	}
	return strRet;
}

QString ListView2HTML (QListView *pView)
{
QString strRet;
int i;
QListViewItem *pItem = NULL;

//	assert (pView != NULL);
	strRet = "<table>\n\t<tr>";
	for (i=0; i<pView->columns(); i++)
		strRet += "<th>" + pView->columnText (i) + "</th>";
	strRet +="</tr>\n";
	
	pItem = pView->firstChild(); 
	while (pItem != NULL)
	{
		strRet+="<tr>";
		for (i=0; i<pView->columns(); i++)
		{
			strRet += "<td>" + CreateHTMLLinks (pItem->text (i)) + "</td>";
		}
		strRet +="</tr>\n";
		pItem = pItem->nextSibling ();
	}

	strRet += "</table>\n";
	return (strRet);
}
